X2Go Bug report logs - #556
hp-toolbox segfaults when started in x2go MATE session

version graph

Package: nx-libs; Maintainer for nx-libs is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: erik.devriendt@telenet.be

Date: Tue, 22 Jul 2014 16:55:02 UTC

Severity: minor

Tags: fixed-upstream

Found in version 3.5.0.27

Fixed in version 3.5.99.0

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#556; Package nx-libs. (Tue, 22 Jul 2014 16:55:02 GMT) (full text, mbox, link).


Acknowledgement sent to erik.devriendt@telenet.be:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 22 Jul 2014 16:55:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: erik.devriendt@telenet.be
To: submit@bugs.x2go.org
Subject: hp-toolbox segfaults when started in x2go MATE session
Date: Tue, 22 Jul 2014 18:48:14 +0200 (CEST)
Package: nx-libs 
Version: 3.5.0.27 

Distribution: Linux Mint 17 64-bit. 

hp-toolbox segfaults when started in a x2go MATE session. 

hp-toolbox is a python script, part of the hplip-gui package in Linux Mint 17. 

After unsetting the LD_LIBRARY_PATH environment variable, hp-toolbox starts without segfaulting. (hp-toolbox started in a shell in a terminal window). 

This could be related to : 
    http://bugs.x2go.org/49 
    http://bugs.x2go.org/29 

gdb post mortem stack backtrace: 

gdb /usr/bin/python core 
GNU gdb (Ubuntu 7.7-0ubuntu3.1) 7.7 
Copyright (C) 2014 Free Software Foundation, Inc. 
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html> 
This is free software: you are free to change and redistribute it. 
There is NO WARRANTY, to the extent permitted by law. Type "show copying" 
and "show warranty" for details. 
This GDB was configured as "x86_64-linux-gnu". 
Type "show configuration" for configuration details. 
For bug reporting instructions, please see: 
<http://www.gnu.org/software/gdb/bugs/>. 
Find the GDB manual and other documentation resources online at: 
<http://www.gnu.org/software/gdb/documentation/>. 
For help, type "help". 
Type "apropos word" to search for commands related to "word"... 
Reading symbols from /usr/bin/python...(no debugging symbols found)...done. 

warning: core file may not match specified executable file. 
[New LWP 9421] 
[Thread debugging using libthread_db enabled] 
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1". 
Core was generated by `/usr/bin/python /usr/bin/hp-toolbox'. 
Program terminated with signal SIGSEGV, Segmentation fault. 
#0 0x00007fea545e6720 in _X11TransWritev () 
from /usr/lib/nx/X11/libNX_X11.so.6 
(gdb) bt 
#0 0x00007fea545e6720 in _X11TransWritev () 
from /usr/lib/nx/X11/libNX_X11.so.6 
#1 0x00007fea545c7289 in _XSend () from /usr/lib/nx/X11/libNX_X11.so.6 
#2 0x00007fea545bb379 in XQueryExtension () 
from /usr/lib/nx/X11/libNX_X11.so.6 
#3 0x00007fea545af722 in XInitExtension () from /usr/lib/nx/X11/libNX_X11.so.6 
#4 0x00007fea548a65eb in XextAddDisplay () 
from /usr/lib/nx/X11/libNX_Xext.so.6 
#5 0x00007fea54ab9683 in XineramaIsActive () 
from /usr/lib/nx/X11/Xinerama/libXinerama.so.1 
#6 0x00007fea539fbb8f in ?? () 
from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0 
#7 0x00007fea539fc9ef in ?? () 
from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0 
#8 0x00007fea539e5edc in gdk_display_open () 
from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0 
#9 0x00007fea539b6f4d in gdk_display_open_default_libgtk_only () 
from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0 
#10 0x00007fea53d762d4 in gtk_init_check () 
from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0 
#11 0x00007fea53d762f9 in gtk_init () 
from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0 
#12 0x00007fea5d55d47e in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4 
---Type <return> to continue, or q <return> to quit--- 
#13 0x00007fea5d541d61 in QGtkStyle::QGtkStyle() () 
from /usr/lib/x86_64-linux-gnu/libQtGui.so.4 
#14 0x00007fea5d4cc571 in QStyleFactory::create(QString const&) () 
from /usr/lib/x86_64-linux-gnu/libQtGui.so.4 
#15 0x00007fea5d1df561 in QApplication::style() () 
from /usr/lib/x86_64-linux-gnu/libQtGui.so.4 
#16 0x00007fea5d1df955 in QApplicationPrivate::initialize() () 
from /usr/lib/x86_64-linux-gnu/libQtGui.so.4 
#17 0x00007fea5d1dfa80 in QApplicationPrivate::construct(_XDisplay*, unsigned long, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4 
#18 0x00007fea5d1dfcef in QApplication::QApplication(int&, char**, int) () 
from /usr/lib/x86_64-linux-gnu/libQtGui.so.4 
#19 0x00007fea5e1e9f3e in ?? () 
from /usr/lib/python2.7/dist-packages/PyQt4/QtGui.so 
#20 0x00007fea5e1ea131 in ?? () 
from /usr/lib/python2.7/dist-packages/PyQt4/QtGui.so 
#21 0x00007fea59b2eb4c in ?? () from /usr/lib/python2.7/dist-packages/sip.so 
#22 0x00000000004f5d0b in ?? () 
#23 0x000000000052cc20 in PyEval_EvalFrameEx () 
#24 0x000000000055c594 in PyEval_EvalCodeEx () 
#25 0x00000000005b7392 in PyEval_EvalCode () 
#26 0x0000000000469663 in ?? () 
#27 0x00000000004699e3 in PyRun_FileExFlags () 
---Type <return> to continue, or q <return> to quit--- 
#28 0x0000000000469f1c in PyRun_SimpleFileExFlags () 
#29 0x000000000046ab81 in Py_Main () 
#30 0x00007fea6525eec5 in __libc_start_main () 
from /lib/x86_64-linux-gnu/libc.so.6 
#31 0x000000000057497e in _start () 
(gdb) 





Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#556; Package nx-libs. (Fri, 15 May 2015 13:05:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 15 May 2015 13:05:02 GMT) (full text, mbox, link).


Message #10 received at 556@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 556@bugs.x2go.org
Subject: issue #556 will be solved in nx-libs 3.6.x
Date: Fri, 15 May 2015 13:00:57 +0000
[Message part 1 (text/plain, inline)]
Control: merge #874 -1
Control: fixed #874 3.5.99.0

The reported issue #556 "hp-toolbox segfaults when started in x2go  
MATE session" will very probably be solved by the Xinerama rewrite in  
nx-libs 3.6.x.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'nx-libs' to 'nxagent'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 15 May 2015 13:14:24 GMT) (full text, mbox, link).


No longer marked as found in versions 3.5.0.27. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 15 May 2015 13:14:24 GMT) (full text, mbox, link).


Severity set to 'wishlist' from 'normal' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 15 May 2015 13:14:24 GMT) (full text, mbox, link).


Marked as found in versions 3.5.0.32. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 15 May 2015 13:14:24 GMT) (full text, mbox, link).


Merged 49 556 874 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 15 May 2015 13:14:24 GMT) (full text, mbox, link).


Disconnected #874 from all other report(s). Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 15 May 2015 13:56:59 GMT) (full text, mbox, link).


Merged 49 556 874 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 15 May 2015 13:56:59 GMT) (full text, mbox, link).


Bug reassigned from package 'nxagent' to 'nx-libs'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 15 May 2015 14:11:47 GMT) (full text, mbox, link).


No longer marked as found in versions 3.5.0.32. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 15 May 2015 14:11:47 GMT) (full text, mbox, link).


Severity set to 'minor' from 'wishlist' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 15 May 2015 14:11:47 GMT) (full text, mbox, link).


Merged 417 49 556 874 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 15 May 2015 14:11:47 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#556; Package nx-libs. (Sun, 16 Aug 2015 01:45:01 GMT) (full text, mbox, link).


Message #35 received at control@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: control@bugs.x2go.org
Date: Tue, 23 Feb 2016 12:23:30 +0000
[Message part 1 (text/plain, inline)]
unmerge #49
thanks
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/mailxchange/kronolith/fb.php?u=m.gabriel%40das-netzwerkteam.de
[Message part 2 (application/pgp-signature, inline)]

Disconnected #417 from all other report(s). Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 23 Feb 2016 12:56:11 GMT) (full text, mbox, link).


Marked as found in versions 3.5.0.27. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 23 Feb 2016 13:00:17 GMT) (full text, mbox, link).


Added tag(s) fixed-upstream. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 23 Feb 2016 13:00:18 GMT) (full text, mbox, link).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 874-submit@bugs.x2go.org. (Tue, 23 Feb 2016 13:05:03 GMT) (full text, mbox, link).


Notification sent to erik.devriendt@telenet.be:
Bug acknowledged by developer. (Tue, 23 Feb 2016 13:05:03 GMT) (full text, mbox, link).


Disconnected #556 from all other report(s). Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 23 Feb 2016 13:05:03 GMT) (full text, mbox, link).


Marked as fixed in versions 3.5.99.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 23 Feb 2016 13:05:03 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Wed, 23 Mar 2016 06:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 6 04:07:38 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.